package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TKtinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TKtinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TKtinfoMapper {
    int countByExample(TKtinfoExample example);

    int deleteByExample(TKtinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TKtinfo record);

    int insertSelective(TKtinfo record);

    List<TKtinfo> selectByExample(TKtinfoExample example);

    TKtinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TKtinfo record, @Param("example") TKtinfoExample example);

    int updateByExample(@Param("record") TKtinfo record, @Param("example") TKtinfoExample example);

    int updateByPrimaryKeySelective(TKtinfo record);

    int updateByPrimaryKey(TKtinfo record);
}